plot.confint.bas {BAS} | R Documentation

## Plot Bayesian Confidence Intervals

### Description

Function takes the the output of functions that return credible intervals from BAS objects, and creates a plot of the posterior mean with segments representing the credible interval. of what the function does. ~~

### Usage

    ## S3 method for class 'confint.bas'
    plot(x, horizontal = FALSE, ...)

### Arguments

`x` | the output from `confint.coef.bas` or `confint.pred.bas` containing credible intervals and estimates.
`horizontal` | orientation of the plot
`...` | optional graphical arguments to pass on to plot

### Details

This function takes the HPD intervals or credible intervals created by `confint.coef.bas` or `confint.pred.bas` from BAS objects, and creates a plot of the posterior mean with segments representing the credible interval. BAS tries to return HPD intervals, and under model averaging these may not be symmetric. the description above ~~

### Value

A plot of the credible intervals.

### Author(s)

Merlise A Clyde

### See Also

`confint.coef.bas`, `confint.pred.bas`, `coef.bas`, `predict.bas`, `link{bas.lm}`

Other CI methods: `confint.coef.bas`, `confint.pred.bas`

### Examples

    data(Hald)
    hald.ZS = bas.lm(Y ~ ., data=Hald, prior="ZS-null", modelprior=uniform())
    hald.coef = confint(coef(hald.ZS), parm=2:5)
    plot(hald.coef)
    plot(hald.coef, horizontal=TRUE)
    plot(confint(predict(hald.ZS, se.fit=TRUE), parm="mean"))

[Package BAS version 1.5.3 Index]